import React__default from 'react';
import './wizardHeader.scss.js';
import WizardSteps from './WizardSteps.js';
import useWizard from './useWizard.js';
import ButtonBase from '../ButtonBase/index.js';
import SvgCloseThick from '../../assets/svgs/close-thick.svg.js';

var WizardHeader = function WizardHeader(_ref) {
  var title = _ref.title,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      onExit = _ref.onExit,
      logo = _ref.logo;

  var _useWizard = useWizard(),
      currentStepIndex = _useWizard.currentStepIndex,
      stepPaths = _useWizard.stepPaths,
      setStep = _useWizard.setStep,
      currentStepPath = _useWizard.currentStepPath;

  return /*#__PURE__*/React__default.createElement("header", {
    className: "Suc-wizard-header ".concat(className)
  }, /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-left"
  }, /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-logo"
  }, logo), /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-title"
  }, title)), /*#__PURE__*/React__default.createElement(WizardSteps, {
    steps: stepPaths[currentStepPath],
    currentStepIndex: currentStepIndex,
    setStep: setStep
  }), /*#__PURE__*/React__default.createElement("div", {
    className: "Suc-right"
  }, /*#__PURE__*/React__default.createElement(ButtonBase, {
    className: 'Suc-close-icon',
    onClick: onExit
  }, /*#__PURE__*/React__default.createElement(SvgCloseThick, null))));
};

export { WizardHeader as default };
//# sourceMappingURL=WizardHeader.js.map
